import '../../enum/data_unit.dart';
import '../../enum/symbol_part.dart';
import '../../enum/unit_system.dart';
import '../../misc/global.dart';
import '../others/misc.dart';

// __bit variations
final _bitVariations = createUnitVariation(
  DataUnit.values,
  '${variationUnitNameSeperator}bit',
  1,
  binaryPrefixes,
  namePostfix: 'bit',
  symbolPostfix: createSymbol(
    [
      SymbolPart.bit,
    ],
  ),
  system: UnitSystem.binary,
  appendVariationUnitTypeWithSystemName: true,
);

// __byte variations
final _byteVariations = createUnitVariation(
  DataUnit.values,
  '${variationUnitNameSeperator}byte',
  8,
  binaryPrefixes,
  namePostfix: 'byte',
  symbolPostfix: createSymbol(
    [
      SymbolPart.byte,
    ],
  ),
  system: UnitSystem.binary,
  appendVariationUnitTypeWithSystemName: true,
);

// data unit details
final dataUnitDetails = {
  ..._bitVariations,
  ..._byteVariations,
};
